View details of a Cloud Connect attachment

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `CloudConnect.Breakout` + `Get` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge> <Badge intent="info">Observer</Badge></div> </Info> Displays the details including configured CIDR blocks of a Cloud Connect Attachment. For active IPSec VPN attachments, the tunnel information (public IP, outisde address, inside CIDR, PSK, ASN) including metrics over the last hour (tunnel state, bytes in/out) will be displayed as well.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

cloudconnect_attachment_iddoubleRequired
Numerical ID of a Cloud Connect attachment

Response

OK
idintegerOptional
namestringOptional
descriptionstringOptional
user_idintegerOptional
creation_datestringOptional
The date this attachment was created in UTC
accept_attachment_expiry_datestringOptional

The expiry date of the accept attachment state in UTC. This will only be returned if the breakout is of type Transit Gateway (type_id: 1) and in Status Pending AWS Actvation (status_id: 2)

termination_datestringOptional
aws_transit_gateway_attachment_idstringOptional
aws_vpn_connection_idstringOptional
This is only set when the breakout is a VPN attachment
statusobjectOptional
typeobjectOptional
regionstringOptional
The customer region that this attachment belongs to
tunnel_informationobjectOptional

Errors

403
Forbidden Error